CREATE TABLE grc_ctrl_assertion_h (
    CONTROL_ID               NUMBER(18, 0),
    EFFECTIVE_SEQUENCE       NUMBER(4, 0) ,
    ASSERTION_CODE           VARCHAR2(120),
    START_DATE               DATE             NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONTROL_ID               NUMBER(18, 0),
    EFFECTIVE_SEQUENCE       NUMBER(4, 0) ,
    ASSERTION_CODE           VARCHAR2(120),
    START_DATE               DATE             NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_grc_ctrl_assertion_h PRIMARY KEY (CONTROL_ID, EFFECTIVE_SEQUENCE, ASSERTION_CODE, CONTROL_ID, EFFECTIVE_SEQUENCE, ASSERTION_CODE)
);
